<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

<xsl:import href="../xsl/slides.xsl"/>

<xsl:template name="foil-top-nav">
  <xsl:param name="prev-target" select="''"/>
  <xsl:param name="next-target" select="''"/>

  <xsl:variable name="section" select="ancestor::section"/>

  <xsl:variable name="nextfoil">
    <xsl:apply-templates select="(following::foil
                                 |following::section)[1]"
                         mode="filename"/>
  </xsl:variable>

  <xsl:variable name="prevfoil">
    <xsl:choose>
      <xsl:when test="preceding-sibling::foil">
        <xsl:apply-templates select="preceding-sibling::foil[1]"
                             mode="filename"/>
      </xsl:when>
      <xsl:when test="parent::section">
        <xsl:apply-templates select="parent::section[1]"
                             mode="filename"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$titlefoil.html"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <div class="navhead">
    <table BORDER="1" WIDTH="100%" BGCOLOR="#66FFFF" NOSAVE="NOSAVE" >
      <tr>
        <td>
          <table BORDER="1" COLS="1" WIDTH="100%" HEIGHT="30" BGCOLOR="#66FFFF" NOSAVE="NOSAVE">
            <tr>
              <td>
                <table BORDER="1" COLS="3" WIDTH="100%" BGCOLOR="#33CCFF" NOSAVE="NOSAVE" >
                  <tr>
                    <td>
                      <xsl:choose>
                        <xsl:when test="$prevfoil != ''">
                          <a href="{$prevfoil}">
                            <xsl:if test="$prev-target != ''">
                              <xsl:attribute name="target">
                                <xsl:value-of select="$prev-target"/>
                              </xsl:attribute>
                            </xsl:if>
                            <xsl:choose>
                              <xsl:when test="preceding-sibling::foil">
                                <xsl:value-of select="preceding-sibling::foil[1]/title"/>
                              </xsl:when>
                              <xsl:when test="parent::section">
                                <xsl:value-of select="parent::section[1]/title"/>
                              </xsl:when>
                              <xsl:otherwise>
                                <xsl:value-of select="/slides/slidesinfo/title"/>
                              </xsl:otherwise>
                            </xsl:choose>
                          </a>
                        </xsl:when>
                        <xsl:otherwise>&#160;</xsl:otherwise>
                      </xsl:choose>
                    </td>
                    <td><xsl:value-of select="title"/></td>
                    <td>
                      <xsl:choose>
                        <xsl:when test="$nextfoil != ''">
                          <a href="{$nextfoil}">
                            <xsl:if test="$next-target != ''">
                              <xsl:attribute name="target">
                                <xsl:value-of select="$next-target"/>
                              </xsl:attribute>
                            </xsl:if>
                            <xsl:value-of select="(following::foil
                                                  |following::section)[1]/title"/>
                          </a>
                        </xsl:when>
                        <xsl:otherwise>&#160;</xsl:otherwise>
                      </xsl:choose>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
            <tr>
              <td>
                <b>
                  <font size="+1">
                    <xsl:value-of select="title"/>
                  </font>
                </b>
              </td>
            </tr>
          </table>
        </td>
        <td>
          <img SRC="logo.gif" ALT="Logo" NOSAVE="NOSAVE"
               height="32" width="77"/>
        </td>
      </tr>
    </table>
  </div>
</xsl:template>

</xsl:stylesheet>
