/*
 * Copyright (c) 2000-2002 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.awtutil;

import java.awt.*;
import java.awt.event.MouseEvent;

public class AWTUtil {
    public static final int MOUSE_MODIFIER = MouseEvent.CTRL_MASK;
    public static final int KEY_MODIFIER = 
        Toolkit.getDefaultToolkit().getMenuShortcutKeyMask();

    public static Frame getFrame(Component component) {
	while (component != null) {
	    if (component instanceof Frame)
		return (Frame) component;
	    component = component.getParent();
	}
	return null;
    }
}
