/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.awtutil;

import java.awt.Toolkit;
import java.awt.Component;
import java.awt.datatransfer.*;

public class Clipboard {
    private static ClipboardOwner clipboardOwner = new ClipboardOwner() {
        public void lostOwnership(java.awt.datatransfer.Clipboard clipboard, 
				  Transferable contents) {}
    };

    // -----------------------------------------------------------------------

    public static boolean containsString(Component component) {
	java.awt.datatransfer.Clipboard clipboard =
	    component.getToolkit().getSystemClipboard();

	Transferable content = clipboard.getContents(component);
	return (content != null 
		/*&& content.isDataFlavorSupported(DataFlavor.stringFlavor)*/);

	// Commented out because of a bug:
	// java.lang.NullPointerException at sun.awt.motif.X11Selection.
    }

    public static String getString(Component component) {
	java.awt.datatransfer.Clipboard clipboard = 
	    component.getToolkit().getSystemClipboard();

	String s = null;
	Transferable contents = clipboard.getContents(component);
	if (contents != null) {
	    try {
		s = (String) contents.getTransferData(DataFlavor.stringFlavor);
	    } catch (Exception e) {
		s = null;
	    }
	}

	return s;
    }

    public static void putString(Component component, String s) {
	java.awt.datatransfer.Clipboard clipboard = 
	    component.getToolkit().getSystemClipboard();

	StringSelection ownedContents = new StringSelection(s);
	clipboard.setContents(ownedContents, clipboardOwner);
    }
}

