/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.awtutil;

import java.awt.Component;
import java.awt.Image;
import java.awt.Graphics;
import java.awt.Dimension;

public class ImageLabel extends Component {
    protected Image image;

    public ImageLabel(Image image) {
	// Assumes that image has already been loaded.
	this.image = image;
    }

    public Image getImage() {
	return image;
    }

    public Dimension getMinimumSize() {
    	return getPreferredSize();
    }
    
    public Dimension getMaximumSize() {
    	return getPreferredSize();
    }
    
    public Dimension getPreferredSize() {
	return new Dimension(image.getWidth(null), image.getHeight(null));
    }

    public void paint(Graphics g) {
	Dimension dim = getSize();
	int x = (dim.width - image.getWidth(null)) / 2;
	int y = (dim.height - image.getHeight(null)) / 2;

	g.drawImage(image, x, y, null);
    }
}
