/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.cssparser;

import java.net.URL;

public interface Handler {
    boolean beginStyleSheet(URL baseURL, String importSpec, String[] media);
    void endStyleSheet(URL baseURL, String importSpec, String[] media);

    boolean beginMedia(String[] media);
    void endMedia();

    boolean beginPage(String name, String pseudoPage);
    void endPage();

    boolean beginFontFace();
    void endFontFace();

    void beginRule();
    void endRule();

    void beginSelectors();
    void selector(SelectorComponent[] components);
    void endSelectors();

    void beginProperties();
    void property(String name, ValueComponent[] components, 
		  boolean important);
    void endProperties();

    void error(URL url, int lineNumber, int columNumber, String message);
}

