/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.cssparser;

import java.net.URL;

public class HandlerBase implements Handler {
    public boolean beginStyleSheet(URL baseURL, String importSpec, 
				   String[] media) {
	return true;
    }
    public void endStyleSheet(URL baseURL, String importSpec, 
			      String[] media) {}

    public boolean beginMedia(String[] media) {
	return true;
    }
    public void endMedia() {}

    public boolean beginPage(String name, String pseudoPage) {
	return true;
    }
    public void endPage() {}

    public boolean beginFontFace() {
	return true;
    }
    public void endFontFace() {}

    public void beginRule() {}
    public void endRule() {}

    public void beginSelectors() {}
    public void selector(SelectorComponent[] components) {}
    public void endSelectors() {}

    public void beginProperties() {}
    public void property(String name, ValueComponent[] components, 
			 boolean important) {}
    public void endProperties() {}

    public void error(URL url, int lineNumber, int columNumber, 
		      String message) {}
}

