/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.cssparser;

public class ValueComponent {
    public static final char NONE = 0;

    public static final int NUMBER = Scanner.NUMBER;
    public static final int LENGTH = Scanner.LENGTH; //em|ex|px|in|cm|mm|pt|pc
    public static final int DIMENSION = Scanner.DIMEN;
    public static final int PERCENTAGE = Scanner.PERCENTAGE;
    public static final int ANGLE = Scanner.ANGLE;
    public static final int TIME = Scanner.TIME;
    public static final int FREQUENCY = Scanner.FREQ;
    public static final int IDENTIFIER = Scanner.IDENT;
    public static final int STRING = Scanner.STRING;
    public static final int URI = Scanner.URI;
    public static final int UNICODE_RANGE = Scanner.UNICODERANGE;
    public static final int FUNCTION = Scanner.FUNCTION;
    public static final int HEX_COLOR = Scanner.HASH;

    public char operator = NONE; // '/' | ',' | NONE

    public int type = NUMBER;

    public double numericValue = 0.0;
    public String unit = null;

    public String stringValue = null; // for IDENTIFIER, STRING, (escaped) URI.
    
    public int[] unicodeRange = null;

    public String functionName = null;
    public ValueComponent[] functionArguments = null;

    public int[] hexColor = null;
}
