/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
import java.net.URL;

public class ParseError {
    public URL url;
    public int lineNumber;
    public int columNumber;
    public String message;

    public ParseError(URL url, int lineNumber, int columNumber, 
		      String message) {
	this.url = url;
	this.lineNumber = lineNumber;
	this.columNumber = columNumber;
	this.message = message;
    }

    public String toString() {
	StringBuffer buffer = new StringBuffer();

	buffer.append("parse error in ");
	buffer.append(url.toExternalForm());
	buffer.append(" at line ");
	buffer.append(lineNumber);
	buffer.append(" , col. ");
	buffer.append(columNumber);
	buffer.append(": ");
	buffer.append(message);

	return buffer.toString();
    }
}
