/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.namere;

public abstract class Particle {
    public static final int SEQUENCE = 0;
    public static final int CHOICE   = 1;
    public static final int ALL      = 2;
    public static final int ELEMENT  = 3;
    public static final int WILDCARD = 4;

    public static final int UNBOUNDED = -1;

    protected int minOccurs;
    protected int maxOccurs;

    protected Particle(int minOccurs, int maxOccurs) {
	this.minOccurs = minOccurs;
	this.maxOccurs = maxOccurs;
    }

    public abstract int getType();

    public final int getMinOccurs() {
	return minOccurs;
    }

    public final int getMaxOccurs() {
	return maxOccurs;
    }
}
