/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit;

import java.awt.Color;
import java.awt.Font;
import java.awt.Rectangle;
import java.awt.Graphics;

public class CommonSettings {
    public static final int RELIEF_FLAT   = 0;
    public static final int RELIEF_RAISED = 1;
    public static final int RELIEF_SUNKEN = 2;

    public Color background; // null means transparent.
    public Color foreground;
    public Font font;
    public int pad;
    public Color borderColor;
    public int borderRelief;

    public CommonSettings() {
	background = Color.white;
	foreground = Color.black;
	font = new Font("SansSerif", Font.PLAIN, 12);
	pad = 0;
	borderColor = null;
	borderRelief = RELIEF_FLAT;
    }
}
