/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit;

import com.xmlmind.xmledit.model.TextModel;
import com.xmlmind.xmledit.model.SubelementModel;
import com.xmlmind.xmledit.modeltool.CommandInfo;

public class ContextCommandInfo extends CommandInfo {
    public static final int NONE                 = 0;
    public static final int TEXT_SELECTION       = 1;
    public static final int SUBELEMENT_SELECTION = 2;
    public static final int POINT                = 3;
    public static final int POINT_IN_ELEMENT     = 4;

    public int context;
    public TextModel markText;
    public int markOffset;
    public TextModel pointText;
    public int pointOffset;
    public boolean markAfterPoint;
    public SubelementModel subelement;

    public void clear() {
	super.clear();

	context = NONE;
	markText = pointText = null;
	markOffset = pointOffset = 0;
	markAfterPoint = false;
	subelement = null;
    }
}
