/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit;

import java.awt.Rectangle;

public final class RectangleListImpl implements RectangleList {
    public /*read-only*/ int size = 0;
    public /*read-only*/ Rectangle[] list = new Rectangle[0];

    private static final int CAPACITY_LIMIT = 100;

    public void appendRectangle(int x, int y, int width, int height) {
	if (size + 1 > list.length) {
	    int newCapacity = Math.max(10, 2*list.length);
	    Rectangle[] newList = new Rectangle[newCapacity];

	    if (size > 0)
		System.arraycopy(list, 0, newList, 0, size);

	    for (int i = size; i < newCapacity; ++i)
		newList[i] = new Rectangle();

	    list = newList;
	}

	Rectangle last = list[size++];
	last.x = x;
	last.y = y;
	last.width = width;
	last.height = height;
    }

    public void removeAll() {
	if (size > CAPACITY_LIMIT) {
	    Rectangle[] newList = new Rectangle[CAPACITY_LIMIT];
	    System.arraycopy(list, 0, newList, 0, CAPACITY_LIMIT);
	    list = newList;
	}
	size = 0;
    }
}
