/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit;

import com.xmlmind.gadget.Gadget;
import com.xmlmind.xmledit.model.SubelementModel;

public interface SubelementView {
    SubelementModel getModel();

    /**
     * Return all gadgets that are used to render the view.
     *
     * <p>For example, for elements displayed inline, it returns the gadgets
     * that render the generated content for this inline (if any) plus all the
     * gadgets that render the child views.
     */
    void getGadgets(GadgetList gadgets, int viewIndex);
}
