/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit;

import com.xmlmind.xmledit.model.DocumentModel;
import com.xmlmind.xmledit.model.ElementModel;
import com.xmlmind.xmledit.model.TextModel;

public abstract class ViewFactory {
    protected DocumentView docView;
    protected DocumentModel doc = null;

    protected ViewFactory(DocumentView documentView) {
	docView = documentView;
    }

    public DocumentView getDocumentView() {
	return docView;
    }

    public void setDocument(DocumentModel document) {
	doc = document;
    }

    public DocumentModel getDocument() {
	return doc;
    }

    public boolean isElementViewAttributeDependant(ElementModel element, 
						   String attributeName,
						   ElementView parentView) {
	return true;
    }

    public abstract ElementView createElementView(ElementModel element, 
						  ElementView parentView);
    public abstract TextView createTextView(TextModel text, 
					    ElementView parentView);
}
