/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.model;

public interface AttributeDefinitionModel {
    static final int CDATA       = 0;
    static final int ID          = 1;
    static final int IDREF       = 2;
    static final int IDREFS      = 3;
    static final int ENTITY      = 4;
    static final int ENTITIES    = 5;
    static final int NMTOKEN     = 6;
    static final int NMTOKENS    = 7;
    static final int NOTATION    = 8;
    static final int ENUMERATION = 9;

    static final int DEFAULTED = 0;
    static final int REQUIRED  = 1;
    static final int IMPLIED   = 2;
    static final int FIXED     = 3;

    String getAttributeName();
    int getAttributeType();
    String[] getAttributeEnumeratedValues();
    int getAttributePresence();
    String getAttributeDefaultValue();
}
