/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.model;

public class BatchEditingEvent extends DocumentEvent {
    public static final int FIRST = ElementAttributeEvent.LAST + 1;
    public static final int LAST  = FIRST + 9;

    public static final int BATCH_STARTED   = FIRST + 0;
    public static final int BATCH_COMPLETED = FIRST + 1;

    public BatchEditingEvent() {}

    public BatchEditingEvent(Object source, int id) {
	initialize(source, id);
    }

    public void initialize(Object source, int id) {
	super.initialize(source, id);
    }

    public String toString() {
	StringBuffer buffer = new StringBuffer();

	buffer.append(getClass().getName());
	buffer.append("[source=");
	buffer.append(source);
	buffer.append(",id=");
	switch (id) {
	case BATCH_STARTED:
	    buffer.append("BATCH_STARTED");
	    break;
	case BATCH_COMPLETED:
	    buffer.append("BATCH_COMPLETED");
	    break;
	default:
	    buffer.append(id);
	}
	buffer.append(']');

	return buffer.toString();
    }
}
