/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.model;

import java.util.Enumeration;

public interface DocumentModel {
    public static final String URL_PROPERTY = "URL";

    ElementModel createElementModel(String typeName);
    TextModel createTextModel(String text);

    void initializeDocument(ElementModel root, DocumentTypeModel docType);
    ElementModel getRootElement();
    DocumentTypeModel getDocumentType();

    Object putDocumentProperty(String name, Object value);
    Object removeDocumentProperty(String name);
    Object getDocumentProperty(String name);
    int getDocumentPropertyCount();
    Enumeration getDocumentProperties();

    void beginBatchEditing();
    void endBatchEditing();

    void addDocumentListener(DocumentListener listener, boolean hasData);
    void removeDocumentListener(DocumentListener listener);
    DocumentListener getDocumentListener(int index, boolean hasData);
    int documentListenerIndex(DocumentListener listener);
    void notifyDocumentListeners(DocumentEvent event);
}

