/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.model;

import java.util.Enumeration;

public interface DocumentTypeModel {
    String getDocumentTypePublicId();
    String getDocumentTypeSystemId();
    String getDocumentTypeInternalSubset();
    String getDocumentTypeURL();

    ElementTypeModel getElementType(String elementTypeName);
    int getElementTypeCount();
    Enumeration getElementTypes();

    NotationModel getNotation(String notationName);
    int getNotationCount();
    Enumeration getNotations();

    UnparsedEntityModel getUnparsedEntity(String unparsedEntityName);
    int getUnparsedEntityCount();
    Enumeration getUnparsedEntities();
}
