/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.model;

import java.util.Enumeration;

public interface ElementModel extends SubelementModel {
    String getElementTypeName();

    void insertSubelement(SubelementModel referenceChild, SubelementModel sub);
    void appendSubelement(SubelementModel sub);
    void removeSubelement(SubelementModel child);
    void replaceSubelement(SubelementModel child, SubelementModel sub);
    SubelementModel getFirstSubelement();
    SubelementModel getLastSubelement();
    int getSubelementCount();

    /**
     * Specified attributes only, not defaulted ones!
     */
    String putElementAttribute(String name, String value);
    String removeElementAttribute(String name);
    String getElementAttribute(String name);
    int getElementAttributeCount();
    Enumeration getElementAttributes();
}

