/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.model;

import java.util.Enumeration;

public interface ElementTypeModel {
    static final int EMPTY      = 0;
    static final int ANY        = 1;
    static final int MIXED      = 2;
    static final int ELEMENT    = 3;
    static final int UNDECLARED = 4; /* Found in the content model 
					but not declared. */

    String getElementTypeName();

    int getElementContentType();
    ElementTypeModel[] getMixedElementTypes();
    ElementContentModel getElementContent();

    AttributeDefinitionModel getAttributeDefinition(String attributeName);
    int getAttributeDefinitionCount();
    Enumeration getAttributeDefinitions();
}
