/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.modelimpl;

import com.xmlmind.xmledit.model.*;

public class ElementContent implements ElementContentModel {
    private int listType;
    private Object list;
    private int minOccurences;
    private int maxOccurences;

    public ElementContent(ElementTypeModel elementType, 
			  int minOccurences, int maxOccurences) {
	listType = NONE;
	list = elementType;
	this.minOccurences = minOccurences;
	this.maxOccurences = maxOccurences;
    }

    public ElementContent(int listType, ElementContentModel[] particles, 
			  int minOccurences, int maxOccurences) {
	this.listType = listType;
	list = particles;
	this.minOccurences = minOccurences;
	this.maxOccurences = maxOccurences;
    }

    public int getListType() {
	return listType;
    }

    public ElementContentModel[] getList() {
	return (listType != NONE)? (ElementContentModel[]) list : null;
    }

    public ElementTypeModel getElementType() {
	return (listType == NONE)? (ElementTypeModel) list : null;
    }

    public int getMinOccurences() {
	return minOccurences;
    }

    public int getMaxOccurences() {
	return maxOccurences;
    }
}
