/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.modelimpl;

import com.xmlmind.xmledit.model.UnparsedEntityModel;

public class UnparsedEntity implements UnparsedEntityModel {
    private String name;
    private String publicId;
    private String systemId;
    private String notationName;
    private String url;

    public UnparsedEntity(String name, String publicId, String systemId,
			  String notationName, String url) {
	this.name = name;
	this.publicId = publicId;
	this.systemId = systemId;
	this.notationName = notationName;
	this.url = url;
    }

    public String getUnparsedEntityName() {
	return name;
    }

    public String getUnparsedEntityPublicId() {
	return publicId;
    }

    public String getUnparsedEntitySystemId() {
	return systemId;
    }

    public String getUnparsedEntityNotationName() {
	return notationName;
    }

    public String getUnparsedEntityURL() {
	return url;
    }
}
