/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.modeltool;

public class CommandInfo {
    public static final int INSERT_ARGUMENTS        = 0x1;
    public static final int INSERT_BEFORE_ARGUMENTS = 0x2;
    public static final int INSERT_AFTER_ARGUMENTS  = 0x4;
    public static final int CONVERT_ARGUMENTS       = 0x8;
    public static final int REPLACE_ARGUMENTS       = 0x10;
    public static final int NO_ARGUMENTS            = 0;
    public static final int ALL_ARGUMENTS           = ~0;
    
    public static final int DELETE                    = 0x1;
    public static final int COPY                      = 0x2;
    public static final int CUT                       = 0x4;
    public static final int PASTE                     = 0x8;
    public static final int PASTE_BEFORE              = 0x10;
    public static final int PASTE_AFTER               = 0x20;
    public static final int INSERT                    = 0x40;
    public static final int INSERT_BEFORE             = 0x80;
    public static final int INSERT_AFTER              = 0x100;
    public static final int CONVERT                   = 0x200;
    public static final int SPLIT                     = 0x400;
    public static final int REPLACE                   = 0x800;
    public static final int JOIN                      = 0x1000;

    public int needArguments = ALL_ARGUMENTS; // IN

    public int commands; // OUT
    public String clipboardTag;
    public String[] insertArguments;
    public String[] insertBeforeArguments;
    public String[] insertAfterArguments;
    public String[] convertArguments;
    public String[] replaceArguments;

    public void clear() {
	commands = 0x0;
	clipboardTag = null;
	insertArguments = insertBeforeArguments = 
	    insertAfterArguments = convertArguments = replaceArguments = null;
    }
}
