/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.modeltool;

public class StyleSheetInfo {
    public static final String PROPERTY = "xml-stylesheet";

    /**
     * External style sheet URL as specified in <?xml-stylesheet?>.
     * Href and content cannot be both specified.
     */
    public String href;

    /**
     * Embedded style sheet.
     * Href and content cannot be both specified.
     */
    public String content;

    /**
     * If href is specified, it is href but fully resolved.
     * If url is specified, it is the base URL used to resolve relative URLs
     * referenced in content.
     */
    public String url;

    public String type;

    /**
     * May be null.
     */
    public String title;

    /**
     * May be null.
     */
    public String media;

    /**
     * May be null.
     */
    public String charset;

    public boolean alternate;
}
