/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.modeltool;

import com.xmlmind.xmledit.model.SubelementModel;

public class SubelementMarkEvent {
    private SubelementMark source;
    private SubelementModel previousSubelement;
    private SubelementModel subelement;

    public SubelementMarkEvent() {}

    public SubelementMarkEvent(SubelementMark source, 
			       SubelementModel previousSubelement, 
			       SubelementModel subelement) {
	initialize(source, previousSubelement, subelement);
    }

    public void initialize(SubelementMark source, 
			   SubelementModel previousSubelement, 
			   SubelementModel subelement) {
	this.source = source;
	this.previousSubelement = previousSubelement;
	this.subelement = subelement;
    }

    public SubelementMark getSource() {
	return source;
    }

    public SubelementModel getPreviousSubelement() {
	return previousSubelement;
    }

    public SubelementModel getSubelement() {
	return subelement;
    }
}
