/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.modeltool;

import com.xmlmind.xmledit.model.TextModel;

public class TextLocationEvent {
    public static final int LOCATION_ADDED   = 0;
    public static final int LOCATION_MOVED   = 1;
    public static final int LOCATION_REMOVED = 2;

    private TextLocation source;
    private int id;
    private TextModel previousText;
    private int previousOffset;

    public TextLocationEvent() {}

    public TextLocationEvent(TextLocation source, int id,
			     TextModel previousText, int previousOffset) {
	initialize(source, id, previousText, previousOffset);
    }

    public void initialize(TextLocation source, int id,
			   TextModel previousText, int previousOffset) {
	this.source = source;
	this.id = id;
	this.previousText = previousText;
	this.previousOffset = previousOffset;
    }

    public TextLocation getSource() {
	return source;
    }

    public int getId() {
	return id;
    }

    public TextModel getPreviousText() {
	return previousText;
    }

    public int getPreviousOffset() {
	return previousOffset;
    }

    public TextModel getText() {
	return source.getText();
    }

    public int getOffset() {
	return source.getOffset();
    }
}
