/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.modeltool;

import com.xmlmind.xmledit.model.DocumentEvent;
import com.xmlmind.xmledit.model.TextModel;

public class TextTransferEvent extends DocumentEvent {
    public static final int ID = DocumentEvent.RESERVED_ID_MAX+1;

    public TextModel srcText;
    public int srcOffset;
    public TextModel dstText;
    public int dstOffset;
    public int charCount;

    public TextTransferEvent() {}

    public TextTransferEvent(Object notifier, TextModel srcText, int srcOffset,
			     TextModel dstText, int dstOffset, int charCount) {
	initialize(notifier, srcText, srcOffset, 
		   dstText, dstOffset, charCount);
    }

    public void initialize(Object notifier, TextModel srcText, int srcOffset,
			   TextModel dstText, int dstOffset, int charCount) {
	super.initialize(notifier, ID);

	this.srcText = srcText;
	this.srcOffset = srcOffset;
	this.dstText = dstText;
	this.dstOffset = dstOffset;
	this.charCount = charCount;
    }
}
