/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */

import java.util.Locale;
import com.xmlmind.xmledit.model.*;
import com.xmlmind.xmledit.modeltool.*;
import com.xmlmind.xmledit.modelimpl.*;

public class TestChecker {
    public static void main(String[] args) throws Exception {
	//Locale.setDefault(Locale.FRENCH);

	XPDocumentLoader loader = new XPDocumentLoader();

	for (int i = 0; i < args.length; ++i) {
	    Document document = new Document();
	    loader.load(args[i], document);

	    DocumentChecker docChecker = new DocumentChecker(document);
	    ElementCheckerDiagnostic[] diagnostics = docChecker.check();
	    if (diagnostics != null) {
		for (int j = 0; j < diagnostics.length; ++j)
		    System.out.println(Integer.toString(1+j) + ". " +
				       diagnostics[j].message);
	    }
	}
    }
}
