/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.styledgadget;

import java.awt.Component;
import java.awt.Dimension;
import com.xmlmind.gadget.*;

public class ComponentBox extends TextLineContainerBox {
    public ComponentBox(Component component) {
	this(Box.DEFAULT_STYLE, component);
    }

    public ComponentBox(Style style, Component component) {
	super(style);
	addChild(new ComponentWrapper(component));
    }

    public Component getComponent() {
	return ((ComponentWrapper) children[0]).getComponent();
    }

    public void setXStretchable(boolean stretch) {
	((ComponentWrapper) children[0]).setXStretchable(stretch);
    }

    public boolean isXStretchable() {
	return ((ComponentWrapper) children[0]).isXStretchable();
    }

    public void setYStretchable(boolean stretch) {
	((ComponentWrapper) children[0]).setYStretchable(stretch);
    }

    public boolean isYStretchable() {
	return ((ComponentWrapper) children[0]).isYStretchable();
    }

    protected void layoutContent(int constrainedWidth, int constrainedHeight,
				 boolean recursive) {
	Gadget child = children[0];

	child.layout(constrainedWidth, constrainedHeight, recursive);
	child.x = child.y = 0;

	width = child.width;
	height = child.height;

	Component component = ((ComponentWrapper) child).getComponent();
	if (component instanceof TextLines) {
	    TextLines textLines = (TextLines) component;
	    firstBaseLine = textLines.getFirstBaseLine();
	    lastBaseLine = textLines.getLastBaseLine();
	}
    }

    public void getSizeConstraints(Gadget child, Dimension constraints) {
	Box.getContentSizeConstraints(this, style, constraints);
    }

    public int[] getNonBreakableVerticalRanges() {
	return new int[] { 0, height-1 };
    }
}

