/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.styledgadget;

import com.xmlmind.gadget.GadgetContainer;

public abstract class TextLineBox extends Box implements TextLines {
    protected TextLineBox() {
	super();
    }

    protected TextLineBox(Style style) {
	super(style);
    }

    public void refresh() {
	int oldWidth = width;
	int oldHeight = height;
	int oldFirstBaseLine = getFirstBaseLine();
	int oldLastBaseLine = getLastBaseLine();

	relayout(true);

	if (width == oldWidth && 
	    height == oldHeight &&
	    getFirstBaseLine() == oldFirstBaseLine && 
	    getLastBaseLine() == oldLastBaseLine) {
	    repaint(0, 0, width, height);
	} else {
	    if (parent != null)
		parent.paintRelayout(this, oldWidth, oldHeight, 
				     GadgetContainer.NO_SIDE, -1);
	}
    }
}

