/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */

import java.awt.Graphics;
import java.awt.Color;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;
import javax.swing.JPanel;
import com.xmlmind.gadget.JGadgetPanel;
import com.xmlmind.gadget.RootGadget;
import com.xmlmind.xmledit.styledgadget.*;

public class TestImageLabel {
    public static void main(String[] args) throws Exception {
	JFrame frame = new JFrame();
   	frame.addWindowListener(new WindowAdapter() {
   	    public void windowClosing(WindowEvent e) {
   	        System.exit(0);
   	    }
   	});

	Division division = new Division();

	Style style = new Style();
	style.marginLeft = style.marginRight = -1;
	style.marginTop = style.marginBottom = 20;
	style.paddingTop = style.paddingRight = 
	    style.paddingBottom = style.paddingLeft = 2;
	style.borderWidth = 2;
	style.borderStyle = Style.BORDER_STYLE_OUTSET;
	style.backgroundColor = 
	    style.borderTopColor = style.borderRightColor = 
	    style.borderBottomColor = style.borderLeftColor = Color.gray;

	ImageLabel img = new ImageLabel(style);
	img.setImage(Icon.DISC);
	division.addChild(img);

	img = new ImageLabel(style);
	img.setImage(Icon.CIRCLE);
	division.addChild(img);

	img = new ImageLabel(style);
	img.setImage(Icon.SQUARE);
	division.addChild(img);

	img = new ImageLabel(style);
	img.setImage("icon:newline");
	division.addChild(img);

	img = new ImageLabel(style);
	img.setImage("file:/tmp/not_found.gif", 100, 100);
	division.addChild(img);

	JGadgetPanel panel = new JGadgetPanel();
	RootGadget root = panel.getRoot();
	root.addChild(division);
	root.refresh();

	JPanel workArea = (JPanel) frame.getContentPane();
	workArea.add(panel, BorderLayout.CENTER);

	frame.pack();
	frame.show();
    }
}
