/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.styledview;

import com.xmlmind.xmledit.model.ElementModel;
import com.xmlmind.xmledit.styledgadget.Style;

public class CellView extends ParagraphView {
    private int[] settings;

    public CellView(ElementModel element, Style style) {
	super(element, style);
    }

    public void initView(ViewParameters param,
			 ViewParameters paramBefore,
			 Style styleBefore,
			 ViewParameters paramAfter, 
			 Style styleAfter,
			 StyledViewFactory viewFactory) {
	if (param.columnSpan > 1 ||
	    param.rowSpan > 1 ||
	    param.width > 0) {
	    settings = new int[] { 
		param.columnSpan, param.rowSpan, param.width
	    };
	}

	super.initView(param, paramBefore, styleBefore, paramAfter, styleAfter,
		       viewFactory);
    }

    public int getColumnSpan() {
	return (settings == null)? 1 : settings[0];
    }

    public int getRowSpan() {
	return (settings == null)? 1 : settings[1];
    }

    public int getMinContentWidth() {
	return (settings == null)? 0 : settings[2];
    }
}
