/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.styledview;

import java.awt.Image;
import com.xmlmind.xmledit.*;
import com.xmlmind.xmledit.model.*;
import com.xmlmind.xmledit.styledgadget.*;

public class ImageLabelVP extends ImageLabel implements StyledElementViewPart {
    private StyledElementView view;
    private byte role;

    public ImageLabelVP(Style style, Image image, 
			StyledElementView view, int role) {
	super(style, image);

	this.view = view;
	this.role = (byte) role;
    }

    public SubelementView getView() {
	return view;
    }

    public ElementView getElementView() {
	return view;
    }

    public StyledElementView getStyledElementView() {
	return view;
    }

    public int getRole() {
	return role;
    }
}

