/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.styledview;

import com.xmlmind.gadget.Gadget;
import com.xmlmind.xmledit.SubelementView;
import com.xmlmind.xmledit.TextView;
import com.xmlmind.xmledit.GadgetList;
import com.xmlmind.xmledit.model.SubelementModel;
import com.xmlmind.xmledit.model.TextModel;
import com.xmlmind.xmledit.styledgadget.*;

public class ParagraphTextView extends ParagraphTextViewPart
                               implements TextView {

    public ParagraphTextView(Style style, TextModel text) {
	super(style, text);
    }

    // -----------------------------------------------------------------------
    // TextView
    // -----------------------------------------------------------------------

    public SubelementModel getModel() {
	return (SubelementModel) text;
    }

    public void getGadgets(GadgetList list, int viewIndex) {
	if (parent == null)
	    list.appendGadget(this);
	else
	    ((Paragraph) parent).getParagraphTexts(text, list);
    }

    public TextModel getText() {
	return (TextModel) text;
    }

    public boolean acceptsControlChar(char c) {
	switch (c) {
	case '\t': 
	case '\n':
	    return (style.whiteSpace == Style.WHITE_SPACE_PRE);
	default:
	    return false;
	}
    }

    public void charInserted(char c, int offset) {
	((Paragraph) parent).charInserted(c, text, offset);
    }

    public void charDeleted(char c, int offset) {
	((Paragraph) parent).charDeleted(c, text, offset);
    }

    // -----------------------------------------------------------------------
    // TextViewPart
    // -----------------------------------------------------------------------

    public SubelementView getView() {
	return this;
    }

    public TextView getTextView() {
	return this;
    }
}

