/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.styledview;

import com.xmlmind.xmledit.*;
import com.xmlmind.xmledit.model.*;
import com.xmlmind.xmledit.styledgadget.*;

public class StyledTreeView extends TreeView
			    implements StyledElementView, 
                                       StyledElementViewPart {
    // Style is only useful to add margins around the TreeView.
    private Style style;

    public StyledTreeView(ElementModel element, Style style) {
	super(element);

	this.style = style;
	setCollapsed(true);
    }

    public Style getStyle() {
	return style;
    }

    public void initView(ViewParameters param, 
			 ViewParameters paramBefore,
			 Style styleBefore,
			 ViewParameters paramAfter,
			 Style styleAfter,
			 StyledViewFactory viewFactory) {
	setSettings(viewFactory.getTreeViewSettings());
    }

    public boolean isCustomView() {
	return false;
    }

    public boolean isInlineView() {
	return false;
    }

    public StyledElementView getStyledElementView() {
	return this;
    }

    public int getRole() {
	return ROLE_STANDARD_VIEW;
    }

    public void setStyle(Style style) {
	this.style = style;
    }
}
