/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.styledview;

import com.xmlmind.xmledit.stylesheet.StyleValue;

public class ViewParameters {
    public static final int DEFAULT_MARKER_OFFSET = 5;

    public int display = StyleValue.INLINE;

    public int markerOffset = DEFAULT_MARKER_OFFSET;

    public int width = -1; // -1=auto=intrinsic size
    public int height = -1;

    public int captionSide = StyleValue.TOP;

    public int borderHorizontalSpacing = 0;
    public int borderVerticalSpacing = 0;

    public int rowSpan = 1;
    public int columnSpan = 1;

    public StyledElementViewPart[] content = null; 
}

