/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.stylesheet;

import java.net.URL;
import java.net.MalformedURLException;
import com.xmlmind.cssparser.*;
// Needed by main.
import java.io.IOException;
import java.io.PrintWriter;
import fr.pixware.util.FileUtil;

public class StyleValueParser extends HandlerBase {
    private Parser parser;
    private StyleValue parsed;

    public StyleValueParser() {
	parser = new Parser();
	parser.setHandler(this);
    }

    public StyleValue parse(String s, URL url) {
	StringBuffer source = new StringBuffer();
	source.append("x { y: ");
	source.append(s);
	source.append("; }");

	parsed = null;

	try {
	    parser.parse(source.toString(), url, null);
	} catch (Exception ignored) {
	    ignored.printStackTrace();
	}

	StyleValue result = parsed;
	parsed = null;
	return result;
    }

    public void property(String name, ValueComponent[] components, 
			 boolean important) {
	parsed = StyleValue.fromValueComponents(components);
	if (parsed != null)
	    parsed.resolveURL(parser.getURL());
    }

    public static void main(String[] args) throws IOException {
	StyleValueParser parser = new StyleValueParser();
	PrintWriter output = new PrintWriter(System.out);
	URL baseURL = FileUtil.fileToURL(System.getProperty("user.dir"));

	for (int i = 0; i < args.length; ++i) {
	    StyleValue parsed = 
		parser.parse(args[i], baseURL);

	    if (parsed == null)
		output.print("null");
	    else
		StyleSheetWriter.writeStyleValue(parsed, output);
	    output.println();
	}
	output.flush();
    }
}
