/*
 * Copyright (c) 2000-2002 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmleditapp;

import java.awt.Color;

public class Options {
    public static final String[] IANA_ENCODINGS = {
        "UTF-8",
	"ISO-8859-1",
	"ISO-8859-2",
	"ISO-8859-3",
	"ISO-8859-4",
	"ISO-8859-5",
	"ISO-8859-7",
	"ISO-8859-9",
	"ISO-8859-13",
	"ISO-8859-15",
	"Windows-1252"
    };
    public static final String[] JAVA_ENCODINGS = {
        "UTF8",
	"ISO8859_1",
	"ISO8859_2",
	"ISO8859_3",
	"ISO8859_4",
	"ISO8859_5",
	"ISO8859_7",
	"ISO8859_9",
	"ISO8859_13",
	"ISO8859_15_FDIS",
	"Cp1252"
    };

    public static final int MARK_NONE = 0;
    public static final int MARK_ALL  = 1;
    public static final int MARK_LAST = 2;

    public static final int NO_CHOICE    = 0;
    public static final int FIRST_CHOICE = 1;
    public static final int SMART_CHOICE = 2;

    public boolean guessElementContent = false;
    public boolean ignoreStyleSheets = false;

    public String encoding = "UTF8";
    public boolean indentIfDocType = false;
    public boolean indentIfNoDocType = false;
    public int indentation = 2;
    public int maxLineLength = 78;

    public double screenResolutionWhenPrinting = 100;
    public String headerBegin = null;
    public String headerMiddle = null;
    public String headerEnd = null;
    public Color headerColor = Color.gray;
    public boolean underlineHeader = true;
    public String footerBegin = "%F";
    public String footerMiddle = null;
    public String footerEnd = "%P";
    public Color footerColor = Color.gray;
    public boolean overlineFooter = true;

    public int maxUndo = 10;
    public int makeChoice = SMART_CHOICE;

    public boolean ignoreCase = true;
    public boolean wholeWord = false;
    public boolean regularExpression = false;
    public int markParagraphs = MARK_ALL;

    public String serifFontFamily = "Serif";
    public String sansSerifFontFamily = "SansSerif";
    public String monospaceFontFamily = "Monospaced";
    public boolean defaultFontIsSerif = false;
    public int defaultFontSize = 12;
    public Color defaultBackground = Color.white;
    public Color defaultForeground = Color.black;
}

