/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmleditapp;

import javax.swing.Action;
import javax.swing.JMenuItem;
import java.text.MessageFormat;

public final class UndoHelper {
    public Action undoAction;
    public JMenuItem undoMenuItem;
    public MessageFormat undoFormat;
    public String undoMessage;
    public String undoTypingDescription;
    public String undoTypingMessage;
    public String undoAttributeChangeDescription;
    public String undoAttributeChangeMessage;

    public Action redoAction;
    public JMenuItem redoMenuItem;
    public MessageFormat redoFormat;
    public String redoMessage;

    // Scrach variables
    Object[] args = new Object[1];

    public String formatUndoMessage(String description) {
	args[0] = description;
	return undoFormat.format(args);
    }

    public String formatRedoMessage(String description) {
	args[0] = description;
	return redoFormat.format(args);
    }
}

