/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the Pixware Java utilities.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */

import fr.pixware.util.*;

public class TestRE {
    public static void main(String[] args) throws Exception {
	if (args.length < 2) {
	    System.err.println("usage: java TestRE pattern string ... string");
	    System.exit(1);
	}

	REFactoryImpl factory = new REFactoryImpl();
	RE re = factory.createRE(args[0], 0x0);

	for (int i = 1; i < args.length; ++i) {
	    String input = args[i];

	    System.out.println(input);
	    System.out.println("\tsearch: " + re.search(input));

	    int from = 0;
	    REMatch[] match;
	    while ((match = re.getMatch(input, from)) != null) {
		for (int j = 0; j < match.length; ++j) {
		    REMatch m = match[j];

		    System.out.println("\t$" + j + "='" + m.getText() + 
				       "' (" + m.getStartIndex() + "," + 
				       m.getEndIndex() + ")");
		}

		from = match[0].getEndIndex();
	    }
	}
    }
}
